[user]
	name = {{ user_name }}
	email = {{ user_email }}
	signingKey = {{ gpg_signture }}

[core]
	excludesfile = ~/.global-gitignore 
	editor = nvim
	fileMode = false

[color]
	diff = auto
	status = auto
	branch = auto
	ui = true
	interactive = auto
	pager = true

[alias]
	c = commit
	ca = commit --all
	cam = commit --amend
	caam = commit --all --amend
	cl = clone --recursive-submodules
	d = diff
	ds = diff --staged
	rb = rebase
	rba = rebase --abort
	rbc = rebase --continue
	rbi = rebase --interactive
	pl = pull
	ps = push
	pst = push --tags
	lg = log --graph --abbrev-commit --decorate
	graph = log --graph --abbrev-commit --decorate=short --oneline --pretty=format:'%C(auto)%h%Creset %ad %m %<(50,trunc)%s [%an] %C(auto)%d%Creset ' --date=short
	remotes = remote get-url --all origin
	aliases = !git config --list | grep 'alias\\.' | sed 's/alias\\.\\([^=]*\\)=\\(.*\\)/\\1\\ \t => \\2/' | sort
	contributors = shortlog -ens
	worktrees = worktree list
	branches = branch -a
	tags = tag -l
	undo = reset --soft HEAD^

[init]
	defaultBranch = master

[help]
	autocorrect = 1

[push]
	default = current
	followTags = false

[pull]
	default = current
	rebase = true

[commit]
	gpgsign = true

[tag]
	gpgsign = true

[log]
	decorate = auto
	date = iso8601

[diff]
	algorithm = histogram

[url "ssh://git@github.com:"]
	pushInsteadOf = https://github.com/

[url "ssh://git@gitlab.com:"]
	pushInsteadOf = https://gitlab.com/

[url "ssh://git@codeberg.com"]
	pushInsteadOf = https://codeberg.com/
